Hi The awk patch above set the uppercase version of the fingerprint $1 in $2 before continuing. This is wrong. Attached is a better version.
Note that GPG always print fingerprints in uppercase, so that "$1=toupper($1);" could simply be removed ... -- - - Nirgal Vourgère ☮ GP France - xmpp:[email protected] ☮ gpg 0x5405aef07c52c135 Be the change you want to see in the world -- Gandhi
--- /usr/bin/duply.orig 2018-11-17 22:27:30.000000000 +0000
+++ /usr/bin/duply 2020-02-07 17:06:22.683721081 +0000
@@ -1100,7 +1100,7 @@
# see 'How to specify a user ID' on gpg manpage
function gpg_fingerprint {
- local PRINT=$(gpg $GPG_OPTS --fingerprint "$1" 2>&1|awk -F= 'NR==2{gsub(/ /,"",$2);$2=toupper($2); if ( $2 ~ /^[A-F0-9]+$/ && length($2) == 40 ) print $2; else exit 1}') \
+ local PRINT=$(gpg $GPG_OPTS --fingerprint "$1" 2>&1|awk -F= 'NR==2{gsub(/ /,"",$1);$1=toupper($1); if ( $1 ~ /^[A-F0-9]+$/ && length($1) == 40 ) print $1; else exit 1}') \
&& [ -n "$PRINT" ] && echo $PRINT && return 0
return 1
}
smime.p7s
Description: S/MIME cryptographic signature

